Skip to main content
POST
Request personalization's results

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

personalizationId
integer<int64>
required

Body

application/json
dateIntervals
object[]
required

Date boundaries to include only the results from the specified time period(s).

conversionType
enum<string>
required

Type of conversions to use for calculating reliability, improvement rate, and other metrics

Available options:
ALL_CONVERSION,
CONVERTED_VISITS
visitorData
boolean
default:false

Set to true to include data from unique visitors only. By default, the report includes all visitor data.

allVariationsData
boolean
default:false

Set to true to include data from all variations at once.

bayesian
boolean
default:false

Includes the current Bayesian result probability for the experiment in the report.

sequentialTesting
boolean
default:false

Enables the sequential testing result for the experiment in the report.

enabledMultipleTesting
boolean
default:false

Enables multiple testing correction for the experiment in the report.

referenceVariationId
string

Unique ID of the variation that you want to use as the reference variation.

breakdown
object

Parameter by which you want to segment the report, instead of by time interval. When the request specifies this field, the report ignores the interval field. A request accepts only one breakdown object.

goalsIds
integer<int64>[]

Specifies which goals to include in the report. Use an empty list [] to exclude all goals. Use null to include all goals. Use a list of goal IDs [123, 456] to include only those goals.

goalIdsCuped
integer<int64>[]

Specifies which CUPED goals to include in the report. Use an empty list [] to exclude all CUPED goals. Use null to include all CUPED goals. Use a list of CUPED goal IDs [123, 456] to include only those goals.

filters
object[]

List of filters to apply to the data included in the report.

callbackUrl
string

Callback URL that you want to send the data response to.

Response

OK

dataCode
string

Hash code containing information about the data request, such as dates, goals, variations, format, filters, and so on. Use this code in the Audience poll or Poll results operations to obtain actual results. There are two possible formats for the code, depending on the context: 123...123 or 123...123|123...123. For example, the Get global audience operation generates the latter.

Example:

"89599333501501534304101214660291496129464311669540935471556471877530843827432"